USE catalogdb;

CREATE TABLE IF NOT EXISTS `building_block_detail` (
`id` INT(11) AUTO_INCREMENT,
`building_block_name` VARCHAR(50) UNIQUE NOT NULL,
`resource_type` VARCHAR(25) NOT NULL,
`target_action` VARCHAR(25) NOT NULL,
PRIMARY KEY(`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;

INSERT INTO building_block_detail (building_block_name, resource_type, target_action)
VALUES
('AssignServiceInstanceBB', 'SERVICE', 'ASSIGN'),
('AssignVnfBB', 'VNF', 'ASSIGN'),
('AssignVolumeGroupBB', 'VOLUME_GROUP', 'ASSIGN'),
('AssignVfModuleBB', 'VF_MODULE', 'ASSIGN'),
('AssignNetworkBB', 'NETWORK', 'ASSIGN'),
('AssignNetwork1802BB', 'NETWORK', 'ASSIGN'),

('UnassignServiceInstanceBB', 'SERVICE', 'UNASSIGN'),
('UnassignVnfBB', 'VNF', 'UNASSIGN'),
('UnassignVolumeGroup', 'VOLUME_GROUP', 'UNASSIGN'), 
('UnassignNetwork1802BB', 'NETWORK', 'UNASSIGN'),
('UnassignNetworkBB', 'NETWORK', 'UNASSIGN'),

('ActivateServiceInstanceBB', 'SERVICE', 'ACTIVATE'),
('ActivateVnfBB', 'VNF', 'ACTIVATE'),
('ActivateVolumeGroupBB', 'VOLUME_GROUP', 'ACTIVATE'),
('ActivateVfModuleBB', 'VF_MODULE', 'ACTIVATE'),
('ActivateNetworkBB', 'NETWORK', 'ACTIVATE'),
('ActivateNetworkCollectionBB', 'NETWORK', 'ACTIVATE'),

('DeactivateServiceInstanceBB', 'SERVICE', 'DEACTIVATE'),
('DeactivateVnfBB', 'VNF', 'DEACTIVATE'),
('DeactivateVolumeGroupBB', 'VOLUME_GROUP', 'DEACTIVATE'),
('DeactivateVfModuleBB', 'VF_MODULE', 'DEACTIVATE'),
('DeactivateNetworkBB', 'NETWORK', 'DEACTIVATE'),


('ChangeModelServiceInstanceBB', 'SERVICE', 'CHANGEMODEL'),
('ChangeModelVnfBB', 'VNF', 'CHANGEMODEL'),
('ChangeModelVfModuleBB', 'VF_MODULE', 'CHANGEMODEL'),


('CreateVolumeGroupBB', 'VOLUME_GROUP', 'CREATE'),
('CreateVfModuleBB', 'VF_MODULE', 'CREATE'),
('CreateNetworkBB', 'NETWORK', 'CREATE'),
('CreateNetworkCollectionBB', 'NETWORK', 'CREATE'),

('DeleteVolumeGroupBB', 'VOLUME_GROUP', 'DELETE'),
('DeleteVfModuleBB', 'VF_MODULE', 'DELETE'),
('DeleteNetworkBB', 'NETWORK', 'DELETE'),
('DeleteNetworkCollectionBB', 'NETWORK', 'DELETE');

CREATE TABLE IF NOT EXISTS `orchestration_status_state_transition_directive` (
`id` INT(11) AUTO_INCREMENT,
`resource_type` VARCHAR(25) NOT NULL,
`orchestration_status` VARCHAR(25) NOT NULL,
`target_action` VARCHAR(25) NOT NULL,
`flow_directive` VARCHAR(25) NOT NULL,
PRIMARY KEY (`id`),
UNIQUE KEY `UK_orchestration_status_state_transition_directive` (`resource_type`, `orchestration_status`, `target_action`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;

INSERT INTO orchestration_status_state_transition_directive (resource_type, orchestration_status, target_action, flow_directive)
VALUES

('SERVICE', 'PRECREATED', 'ASSIGN', 'CONTINUE'), 
('VNF', 'PRECREATED', 'ASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'PRECREATED', 'ASSIGN', 'CONTINUE'), 
('VF_MODULE', 'PRECREATED', 'ASSIGN', 'CONTINUE'), 
('NETWORK', 'PRECREATED', 'ASSIGN', 'CONTINUE'), 

('SERVICE', 'INVENTORIED', 'ASSIGN', 'CONTINUE'), 
('VNF', 'INVENTORIED', 'ASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'INVENTORIED', 'ASSIGN', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'ASSIGN', 'CONTINUE'), 
('NETWORK', 'INVENTORIED', 'ASSIGN', 'CONTINUE'), 

('SERVICE', 'ASSIGNED', 'ASSIGN', 'SILENT_SUCCESS'), 
('VNF', 'ASSIGNED', 'ASSIGN', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'ASSIGNED', 'ASSIGN', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ASSIGNED', 'ASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'ASSIGNED', 'ASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'CREATED', 'ASSIGN', 'SILENT_SUCCESS'), 
('VNF', 'CREATED', 'ASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'CREATED', 'ASSIGN', 'FAIL'), 
('VF_MODULE', 'CREATED', 'ASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'CREATED', 'ASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'ACTIVE', 'ASSIGN', 'SILENT_SUCCESS'), 
('VNF', 'ACTIVE', 'ASSIGN', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'ACTIVE', 'ASSIGN', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ACTIVE', 'ASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'ACTIVE', 'ASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_CREATE', 'ASSIGN', 'FAIL'), 
('VNF', 'PENDING_CREATE', 'ASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_CREATE', 'ASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'ASSIGN', 'CONTINUE'), 
('NETWORK', 'PENDING_CREATE', 'ASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_DELETE', 'ASSIGN', 'SILENT_SUCCESS'), 
('VNF', 'PENDING_DELETE', 'ASSIGN', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'PENDING_DELETE', 'ASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'ASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_DELETE', 'ASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_ACTIVATION', 'ASSIGN', 'FAIL'), 
('VNF', 'PENDING_ACTIVATION', 'ASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_ACTIVATION', 'ASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'ASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_ACTIVATION', 'ASSIGN', 'FAIL'), 

('SERVICE', 'PENDING', 'ASSIGN', 'FAIL'), 
('VNF', 'PENDING', 'ASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING', 'ASSIGN', 'SILENT_SUCCESS'), 
('VF_MODULE', 'PENDING', 'ASSIGN', 'FAIL'), 
('NETWORK', 'PENDING', 'ASSIGN', 'FAIL'), 


('SERVICE', 'PRECREATED', 'UNASSIGN', 'SILENT_SUCCESS'), 
('VNF', 'PRECREATED', 'UNASSIGN', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'PRECREATED', 'UNASSIGN', 'SILENT_SUCCESS'), 
('VF_MODULE', 'PRECREATED', 'UNASSIGN', 'SILENT_SUCCESS'), 
('NETWORK', 'PRECREATED', 'UNASSIGN', 'SILENT_SUCCESS'), 

('SERVICE', 'INVENTORIED', 'UNASSIGN', 'CONTINUE'), 
('VNF', 'INVENTORIED', 'UNASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'INVENTORIED', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'UNASSIGN', 'CONTINUE'), 
('NETWORK', 'INVENTORIED', 'UNASSIGN', 'CONTINUE'), 

('SERVICE', 'ASSIGNED', 'UNASSIGN', 'CONTINUE'), 
('VNF', 'ASSIGNED', 'UNASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'ASSIGNED', 'UNASSIGN', 'CONTINUE'), 
('VF_MODULE', 'ASSIGNED', 'UNASSIGN', 'CONTINUE'), 
('NETWORK', 'ASSIGNED', 'UNASSIGN', 'CONTINUE'), 

('SERVICE', 'CREATED', 'UNASSIGN', 'CONTINUE'), 
('VNF', 'CREATED', 'UNASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'CREATED', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'CREATED', 'UNASSIGN', 'FAIL'), 
('NETWORK', 'CREATED', 'UNASSIGN', 'FAIL'), 

('SERVICE', 'ACTIVE', 'UNASSIGN', 'FAIL'), 
('VNF', 'ACTIVE', 'UNASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'ACTIVE', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'ACTIVE', 'UNASSIGN', 'FAIL'), 
('NETWORK', 'ACTIVE', 'UNASSIGN', 'FAIL'), 

('SERVICE', 'PENDING_CREATE', 'UNASSIGN', 'FAIL'), 
('VNF', 'PENDING_CREATE', 'UNASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_CREATE', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'UNASSIGN', 'CONTINUE'), 
('NETWORK', 'PENDING_CREATE', 'UNASSIGN', 'CONTINUE'), 

('SERVICE', 'PENDING_DELETE', 'UNASSIGN', 'CONTINUE'), 
('VNF', 'PENDING_DELETE', 'UNASSIGN', 'CONTINUE'), 
('VOLUME_GROUP', 'PENDING_DELETE', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'UNASSIGN', 'CONTINUE'), 
('NETWORK', 'PENDING_DELETE', 'UNASSIGN', 'CONTINUE'), 

('SERVICE', 'PENDING_ACTIVATION', 'UNASSIGN', 'FAIL'), 
('VNF', 'PENDING_ACTIVATION', 'UNASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_ACTIVATION', 'UNASSIGN', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'UNASSIGN', 'CONTINUE'), 
('NETWORK', 'PENDING_ACTIVATION', 'UNASSIGN', 'FAIL'), 

('SERVICE', 'PENDING', 'UNASSIGN', 'FAIL'), 
('VNF', 'PENDING', 'UNASSIGN', 'FAIL'), 
('VOLUME_GROUP', 'PENDING', 'UNASSIGN', 'CONTINUE'), 
('VF_MODULE', 'PENDING', 'UNASSIGN', 'FAIL'), 
('NETWORK', 'PENDING', 'UNASSIGN', 'FAIL'), 


('SERVICE', 'PRECREATED', 'ACTIVATE', 'FAIL'), 
('VNF', 'PRECREATED', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PRECREATED', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'PRECREATED', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'PRECREATED', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'INVENTORIED', 'ACTIVATE', 'FAIL'), 
('VNF', 'INVENTORIED', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'INVENTORIED', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'INVENTORIED', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'ASSIGNED', 'ACTIVATE', 'CONTINUE'), 
('VNF', 'ASSIGNED', 'ACTIVATE', 'CONTINUE'), 
('VOLUME_GROUP', 'ASSIGNED', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'ASSIGNED', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'ASSIGNED', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'CREATED', 'ACTIVATE', 'CONTINUE'), 
('VNF', 'CREATED', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'CREATED', 'ACTIVATE', 'CONTINUE'), 
('VF_MODULE', 'CREATED', 'ACTIVATE', 'CONTINUE'), 
('NETWORK', 'CREATED', 'ACTIVATE', 'CONTINUE'), 

('SERVICE', 'ACTIVE', 'ACTIVATE', 'SILENT_SUCCESS'), 
('VNF', 'ACTIVE', 'ACTIVATE', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'ACTIVE', 'ACTIVATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ACTIVE', 'ACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'ACTIVE', 'ACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_CREATE', 'ACTIVATE', 'FAIL'), 
('VNF', 'PENDING_CREATE', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_CREATE', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'PENDING_CREATE', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'PENDING_DELETE', 'ACTIVATE', 'CONTINUE'), 
('VNF', 'PENDING_DELETE', 'ACTIVATE', 'CONTINUE'), 
('VOLUME_GROUP', 'PENDING_DELETE', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'PENDING_DELETE', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'PENDING_ACTIVATION', 'ACTIVATE', 'FAIL'), 
('VNF', 'PENDING_ACTIVATION', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_ACTIVATION', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'PENDING_ACTIVATION', 'ACTIVATE', 'FAIL'), 

('SERVICE', 'PENDING', 'ACTIVATE', 'FAIL'), 
('VNF', 'PENDING', 'ACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING', 'ACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING', 'ACTIVATE', 'FAIL'), 
('NETWORK', 'PENDING', 'ACTIVATE', 'FAIL'), 


('SERVICE', 'PRECREATED', 'DEACTIVATE', 'FAIL'), 
('VNF', 'PRECREATED', 'DEACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PRECREATED', 'DEACTIVATE', 'FAIL'), 
('VF_MODULE', 'PRECREATED', 'DEACTIVATE', 'FAIL'), 
('NETWORK', 'PRECREATED', 'DEACTIVATE', 'FAIL'), 

('SERVICE', 'INVENTORIED', 'DEACTIVATE', 'FAIL'), 
('VNF', 'INVENTORIED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'INVENTORIED', 'DEACTIVATE', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'INVENTORIED', 'DEACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'ASSIGNED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VNF', 'ASSIGNED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'ASSIGNED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ASSIGNED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'ASSIGNED', 'DEACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'CREATED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VNF', 'CREATED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'CREATED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'CREATED', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'CREATED', 'DEACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'ACTIVE', 'DEACTIVATE', 'CONTINUE'), 
('VNF', 'ACTIVE', 'DEACTIVATE', 'CONTINUE'), 
('VOLUME_GROUP', 'ACTIVE', 'DEACTIVATE', 'CONTINUE'), 
('VF_MODULE', 'ACTIVE', 'DEACTIVATE', 'CONTINUE'), 
('NETWORK', 'ACTIVE', 'DEACTIVATE', 'CONTINUE'), 

('SERVICE', 'PENDING_CREATE', 'DEACTIVATE', 'FAIL'), 
('VNF', 'PENDING_CREATE', 'DEACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_CREATE', 'DEACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_CREATE', 'DEACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_DELETE', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VNF', 'PENDING_DELETE', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VOLUME_GROUP', 'PENDING_DELETE', 'DEACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_DELETE', 'DEACTIVATE', 'SILENT_SUCCESS'), 

('SERVICE', 'PENDING_ACTIVATION', 'DEACTIVATE', 'FAIL'), 
('VNF', 'PENDING_ACTIVATION', 'DEACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING_ACTIVATION', 'DEACTIVATE', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_ACTIVATION', 'DEACTIVATE', 'FAIL'), 

('SERVICE', 'PENDING', 'DEACTIVATE', 'FAIL'), 
('VNF', 'PENDING', 'DEACTIVATE', 'FAIL'), 
('VOLUME_GROUP', 'PENDING', 'DEACTIVATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'PENDING', 'DEACTIVATE', 'FAIL'), 
('NETWORK', 'PENDING', 'DEACTIVATE', 'FAIL'), 


('SERVICE', 'PRECREATED', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'PRECREATED', 'CHANGE_MODEL', 'FAIL'), 
('VF_MODULE', 'PRECREATED', 'CHANGE_MODEL', 'FAIL'), 

('SERVICE', 'INVENTORIED', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'INVENTORIED', 'CHANGE_MODEL', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'CHANGE_MODEL', 'FAIL'), 

('SERVICE', 'ASSIGNED', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'ASSIGNED', 'CHANGE_MODEL', 'CONTINUE'), 
('VF_MODULE', 'ASSIGNED', 'CHANGE_MODEL', 'CONTINUE'), 

('SERVICE', 'CREATED', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'CREATED', 'CHANGE_MODEL', 'FAIL'), 
('VF_MODULE', 'CREATED', 'CHANGE_MODEL', 'FAIL'), 

('SERVICE', 'ACTIVE', 'CHANGE_MODEL', 'CONTINUE'), 
('VNF', 'ACTIVE', 'CHANGE_MODEL', 'CONTINUE'), 
('VF_MODULE', 'ACTIVE', 'CHANGE_MODEL', 'CONTINUE'), 

('SERVICE', 'PENDING_CREATE', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'PENDING_CREATE', 'CHANGE_MODEL', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'CHANGE_MODEL', 'FAIL'), 

('SERVICE', 'PENDING_DELETE', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'PENDING_DELETE', 'CHANGE_MODEL', 'CONTINUE'), 
('VF_MODULE', 'PENDING_DELETE', 'CHANGE_MODEL', 'CONTINUE'), 

('SERVICE', 'PENDING_ACTIVATION', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'PENDING_ACTIVATION', 'CHANGE_MODEL', 'CONTINUE'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'CHANGE_MODEL', 'CONTINUE'), 

('SERVICE', 'PENDING', 'CHANGE_MODEL', 'FAIL'), 
('VNF', 'PENDING', 'CHANGE_MODEL', 'FAIL'), 
('VF_MODULE', 'PENDING', 'CHANGE_MODEL', 'FAIL'), 


('VOLUME_GROUP', 'PRECREATED', 'CREATE', 'FAIL'), 
('VF_MODULE', 'PRECREATED', 'CREATE', 'FAIL'), 
('NETWORK', 'PRECREATED', 'CREATE', 'FAIL'), 

('VOLUME_GROUP', 'INVENTORIED', 'CREATE', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'CREATE', 'FAIL'), 
('NETWORK', 'INVENTORIED', 'CREATE', 'FAIL'), 

('VOLUME_GROUP', 'ASSIGNED', 'CREATE', 'CONTINUE'), 
('VF_MODULE', 'ASSIGNED', 'CREATE', 'CONTINUE'), 
('NETWORK', 'ASSIGNED', 'CREATE', 'CONTINUE'), 

('VOLUME_GROUP', 'CREATED', 'CREATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'CREATED', 'CREATE', 'SILENT_SUCCESS'), 
('NETWORK', 'CREATED', 'CREATE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'ACTIVE', 'CREATE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ACTIVE', 'CREATE', 'SILENT_SUCCESS'), 
('NETWORK', 'ACTIVE', 'CREATE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'PENDING_CREATE', 'CREATE', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'CREATE', 'FAIL'),
('NETWORK', 'PENDING_CREATE', 'CREATE', 'CONTINUE'), 

('VOLUME_GROUP', 'PENDING_DELETE', 'CREATE', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'CREATE', 'CONTINUE'), 
('NETWORK', 'PENDING_DELETE', 'CREATE', 'CONTINUE'), 

('VOLUME_GROUP', 'PENDING_ACTIVATION', 'CREATE', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'CREATE', 'FAIL'), 
('NETWORK', 'PENDING_ACTIVATION', 'CREATE', 'FAIL'), 

('VOLUME_GROUP', 'PENDING', 'CREATE', 'CONTINUE'), 
('VF_MODULE', 'PENDING', 'CREATE', 'FAIL'), 
('NETWORK', 'PENDING', 'CREATE', 'FAIL'), 


('VOLUME_GROUP', 'PRECREATED', 'DELETE', 'FAIL'), 
('VF_MODULE', 'PRECREATED', 'DELETE', 'FAIL'), 
('NETWORK', 'PRECREATED', 'DELETE', 'FAIL'), 

('VOLUME_GROUP', 'INVENTORIED', 'DELETE', 'FAIL'), 
('VF_MODULE', 'INVENTORIED', 'DELETE', 'SILENT_SUCCESS'), 
('NETWORK', 'INVENTORIED', 'DELETE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'ASSIGNED', 'DELETE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'ASSIGNED', 'DELETE', 'SILENT_SUCCESS'), 
('NETWORK', 'ASSIGNED', 'DELETE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'CREATED', 'DELETE', 'CONTINUE'), 
('VF_MODULE', 'CREATED', 'DELETE', 'CONTINUE'), 
('NETWORK', 'CREATED', 'DELETE', 'CONTINUE'), 

('VOLUME_GROUP', 'ACTIVE', 'DELETE', 'FAIL'), 
('VF_MODULE', 'ACTIVE', 'DELETE', 'FAIL'), 
('NETWORK', 'ACTIVE', 'DELETE', 'FAIL'), 

('VOLUME_GROUP', 'PENDING_CREATE', 'DELETE', 'FAIL'), 
('VF_MODULE', 'PENDING_CREATE', 'DELETE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_CREATE', 'DELETE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'PENDING_DELETE', 'DELETE', 'FAIL'), 
('VF_MODULE', 'PENDING_DELETE', 'DELETE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_DELETE', 'DELETE', 'SILENT_SUCCESS'), 

('VOLUME_GROUP', 'PENDING_ACTIVATION', 'DELETE', 'FAIL'), 
('VF_MODULE', 'PENDING_ACTIVATION', 'DELETE', 'SILENT_SUCCESS'), 
('NETWORK', 'PENDING_ACTIVATION', 'DELETE', 'FAIL'), 

('VOLUME_GROUP', 'PENDING', 'DELETE', 'SILENT_SUCCESS'), 
('VF_MODULE', 'PENDING', 'DELETE', 'FAIL'), 
('NETWORK', 'PENDING', 'DELETE', 'FAIL');
